Skip to main content
POST
Create a component type

Authorizations

Authorization
string
header
required

Body

application/json

Body of a POST /v1/component-types request.

name
string
required
schema
string
required
display_name
string
parent
string

Response

Successful response

Component type definition that describes the settings schema, display metadata, and parent relationship for campaign components.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

display_name
string
required

Optional human-readable display name for the component type.

name
string
required

Unique component type name used when creating or filtering campaign components.

parent
string
required

Optional parent component type name inherited by this component type.

schema
string
required

JSON schema that defines the settings and facets available on components of this type.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"